Bug 1734712 - service fail to start because systemd unit file issue
Summary: service fail to start because systemd unit file issue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: apt-cacher-ng
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kenjiro Nakayama
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-31 09:52 UTC by Kai Fan
Modified: 2023-01-25 00:49 UTC (History)
3 users (show)

Fixed In Version: apt-cacher-ng-3.7.4-2.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-01-25 00:49:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Kai Fan 2019-07-31 09:52:33 UTC
Description of problem:

apt-cacher-ng service can’t start because of there’s no /var/run/apt-cacher-ng directory.

As the /var/run is a runtime dir, I have to add following line into [Service] Section to make it running.

    [Service]
    RuntimeDirectory=apt-cacher-ng


Version-Release number of selected component (if applicable):

3.1-4el7

How reproducible:

Just install and then try start the service.


Steps to Reproduce:
1. yum install apt-cacher-ng
2. systemctl start apt-cacher-ng
3. systemctl status apt-cacher-ng

Actual results:

apt-cacher-ng failed to start

Expected results:

apt-cacher-ng started as a systemd monitored service

Additional info:

man systemd.directrives
man systemd.exec

Comment 1 Alexandre Detiste 2022-12-24 00:01:44 UTC
The upstream solution is to use a tmpfiles.d snippet

Z /run/apt-cacher-ng 0755 apt-cacher-ng apt-cacher-ng - -
D /run/apt-cacher-ng 0755 apt-cacher-ng apt-cacher-ng - -

Comment 2 Fedora Update System 2023-01-15 21:40:57 UTC
FEDORA-EPEL-2023-2c493cf7a8 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-2c493cf7a8

Comment 3 Fedora Update System 2023-01-16 00:20:38 UTC
FEDORA-EPEL-2023-2c493cf7a8 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-2c493cf7a8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2023-01-25 00:49:13 UTC
FEDORA-EPEL-2023-2c493cf7a8 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.